Skip to main content

Get Rebate History Records

HTTP Request

  • GET /api/v3/rebate/taxQuery

Required Permission: SPOT_ACCOUNT_READ

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
startTimelongNOStart time, Unix millisecond timestamp
endTimelongNOEnd time, Unix millisecond timestamp
pageintNOdefault 1
recvWindowlongNO
timestamplongYES
signaturestringYES

Response Parameters

NameTypeDescription
spotstringspot rebate,unit:usdt
futuresstringfutures rebate,unit:usdt
totalstringtotal rebate,unit:usdt
uidstringInvitee uid
accountstringInvitee account
inviteTimelonginvite time

If startTime and endTime are not sent, the recent 1 year's data will be returned.

Response

{
   "page": 1,
   "totalRecords": 1,
   "totalPageNum": 1,
   "data": [
      {
          "spot": "0.00082273",
          "futures":"0.00022487",      
          "total": "0.00012126",
          "uid": "221827",
          "account": "154****291@qq.com",
          "inviteTime": 1637651320000
      },
      ...
      {
          "spot": "0.00082273",
          "futures":"0.00022487",    
          "total": "0.00012126",
          "uid": "82937",
          "account": "338****291@qq.com",
          "inviteTime": 1637651320000
      }
   ]
}